Bug 1261813 - (CVE-2015-6830) CVE-2015-6830 phpMyAdmin: Bypassing the reCaptcha test
CVE-2015-6830 phpMyAdmin: Bypassing the reCaptcha test
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150908,repor...
: Security
Depends On: 1261814 1261815 1261816 1261817
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 04:40 EDT by Adam Mariš
Modified: 2016-11-28 09:51 EST (History)
10 users (show)

See Also:
Fixed In Version: phpMyAdmin-4.3.13.2, phpMyAdmin-4.4.14.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 09:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-10 04:40:40 EDT
A vulnerability allowing to complete reCaptcha test and subsequently perform a brute force attack to guess user credentials without having to complete further reCaptcha tests was found. This vulnerability only affects installations with reCaptcha test enabled. Affected versions are 4.3.x (prior to 4.3.13.2) and 4.4.x (prior to 4.4.14.1)

Upstream patches:
Fix for 4.3: https://github.com/phpmyadmin/phpmyadmin/commit/0314e67900f01410bc8c81c58a40dc0515e3c91d
Fix for 4.4: https://github.com/phpmyadmin/phpmyadmin/commit/785f4e2711848eb8945894199d5870253a88584e
Comment 2 Adam Mariš 2015-09-10 04:42:19 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1261815]
Affects: epel-all [bug 1261816]
Comment 3 Adam Mariš 2015-09-10 04:42:21 EDT
Created phpMyAdmin4 tracking bugs for this issue:

Affects: epel-7 [bug 1261817]
Comment 4 Fedora Update System 2015-09-10 16:34:18 EDT
phpMyAdmin-4.4.14.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-09-12 20:48:48 EDT
phpMyAdmin-4.4.14.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-09-12 22:47:52 EDT
phpMyAdmin-4.4.14.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-18 14:31:29 EDT
phpMyAdmin-4.4.14.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.